Bug 190236 - Review Request: perl-Email-MIME-ContentType - Parse a MIME Content-Type Header
Summary: Review Request: perl-Email-MIME-ContentType - Parse a MIME Content-Type Header
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-04-28 23:15 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-29 17:08:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2006-04-28 23:15:29 UTC
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Email-MIME-ContentType.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Email-MIME-ContentType-1.01-1.src.rpm

Description:
This module is responsible for parsing email content type headers
according to section 5.1 of RFC 2045. It returns a hash as above, with
entries for the discrete type, the composite type, and a hash of
attributes.

Note: another HTTP::Recorder requirement

Comment 1 Jason Tibbitts 2006-04-29 03:02:18 UTC
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl specfile template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   1aa682d2841f5d568416772bbaede1c9  Email-MIME-ContentType-1.01.tar.gz
   1aa682d2841f5d568416772bbaede1c9  Email-MIME-ContentType-1.01.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=6,  0 wallclock secs ( 0.02 cusr +  0.00 csys =  0.02 CPU)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED

Comment 2 Jose Pedro Oliveira 2006-04-29 17:08:45 UTC
Thanks for the review.

Imported and built for FC-4, FC-5, and devel.


Note You need to log in before you can comment on or make changes to this bug.